package mastermind.client;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 * This class generates the about dialog and the help dialog
 */
/* -----------------------------------------------------------------------------
 * Version History:
 * 2012-05-24.v01   PhRe    init version
 * -----------------------------------------------------------------------------
 * @author Philipp Rey <philipp.rey@stud.hslu.ch>
 * @version 2012-05-24.v01
 */
public class ClientGUIDialog
{

    /**
     * Opens an about dialog.
     * @param jframe
     */
    public static void showAboutDialog(JFrame jframe)
    {
        JOptionPane.showMessageDialog(jframe, "Mastermind v1 \n\n" +
            "(c)2012  Iljasa Redzepi, Marco Reichmuth, \nFelix Rohrer," +
            " Philipp Rey", "About", JOptionPane.INFORMATION_MESSAGE);
    }

    /**
     * Opens a help dialog
     * @param jframe
     */
    public static void showHelpDialog(JFrame jframe)
    {
        ClientGUIHelp help = new ClientGUIHelp();
    }
}
