package mastermind.logic;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class ArgParserTest
{

    public ArgParserTest()
    {
    }

    /**
     * Test of hasOption method, of class ArgParser.
     */
    @Test
    public void testHasOptionGetOption()
    {
        System.out.println("hasOption: c => Number of Colors");
        String opt = "c";
        String[] cmdArgs = new String[]{"-c=4", "-p=4"};
        ArgParser instance = new ArgParser(cmdArgs);
        boolean expResult = true;
        boolean result = instance.hasOption(opt);
        assertEquals(expResult, result);

        System.out.println("hasOption: a => Number of Attempts");
        opt = "a";
        expResult = false;
        result = instance.hasOption(opt);
        assertEquals(expResult, result);
    }

    /**
     * Test of numberOfParams method, of class ArgParser.
     */
    @Test
    public void testNumberOfParams()
    {
        System.out.println("numberOfParams");
        String[] cmdArgs = new String[]{"-c=4", "-p=4"};
        ArgParser instance = new ArgParser(cmdArgs);
        int expResult = 2;
        int result = instance.numberOfParams();
        assertEquals(expResult, result);
    }
}
